System.Web 2.0.0.0 System.Web.Configuration.ProfilePropertySettingsCollection

The class is both a root-level collection and a container for a collection. These collections allow you to create named groups of more collections, each containing individual named objects. For more information about the profile features added to vstecasplong, see Creating Web Sites for Individual Users.

The property is a object that contains all the properties defined within the properties subsection of the profile section of the configuration file.

Acts as the top of a two-level named hierarchy of collections.

- Constructor

  The property is a object that contains all the properties defined within the properties subsection of the profile section of the configuration file.

  The following table shows the default settings that are used for this constructor.

  Setting

  Default Value

  True.

  An empty .

  Initializes a new instance of the class using default settings.

  2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added.

  The value of the property is set when the object is created.

  Gets a value indicating whether the collection can be cleared.

- Property
  System.Configuration.ConfigurationElementCollectionType To be added. To be added. To be added. 2.0.0.0
- Method
  System.Boolean `` To be added.

  Override of base class method.

  Compares the current object to another A object.

  true if the passed object is equal to the current object; otherwise, false.

  2.0.0.0
- Method
  System.Int32

  Override of base class method.

  Generates a hash code for the collection.

  Unique integer hash code for the current object.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("group")
  System.Web.Configuration.ProfileGroupSettingsCollection To be added.

  The property allows you to create groups of collections.

  Gets a containing a collection of objects.

  2.0.0.0
- Method
  2.0.0.0
  System.Boolean To be added.

  Indicates whether the collection has been modified since it was last saved or loaded.

  true if any contained element has been modified; otherwise, false.

- Method
  2.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void To be added.

  Resets the value of the property to false.

- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
System.Configuration.ConfigurationCollection(typeof(System.Web.Configuration.ProfilePropertySettings), CollectionType=System.Configuration.ConfigurationElementCollectionType.AddRemoveClearMap)